﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="AccessingData.aspx.vb" Inherits="AccessingData" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [Books]"></asp:SqlDataSource>
        <br />
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [Books] WHERE (([BookID] &lt;= @BookID) AND ([Price] &gt; @Price)) ORDER BY [Price] DESC, [Title]">
            <SelectParameters>
                <asp:Parameter DefaultValue="3" Name="BookID" Type="Int32" />
                <asp:Parameter DefaultValue="20.00" Name="Price" Type="Decimal" />
            </SelectParameters>
        </asp:SqlDataSource>
        <br />
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
            BackColor="#FFCC66" BorderColor="#660066" BorderStyle="Dashed" 
            BorderWidth="5px" DataKeyNames="BookID" DataSourceID="SqlDataSource1" 
            Font-Names="Arial" AllowPaging="True" PageSize="2">
            <Columns>
                <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title">
                    <ItemStyle Font-Italic="True" />
                </asp:BoundField>
                <asp:BoundField DataField="Author" HeaderText="Author" 
                    SortExpression="Author" />
                <asp:BoundField DataField="PageCount" HeaderText="Pages" 
                    SortExpression="PageCount" />
                <asp:BoundField DataField="YearPublished" HeaderText="Published" 
                    SortExpression="YearPublished" />
                <asp:BoundField DataField="Price" DataFormatString="{0:c}" HeaderText="Price" 
                    HtmlEncode="False" SortExpression="Price" />
                <asp:BoundField DataField="LastReadOn" DataFormatString="{0:d}" 
                    HeaderText="Last Read" HtmlEncode="False" SortExpression="LastReadOn" />
            </Columns>
            <HeaderStyle BackColor="#006600" Font-Size="Large" ForeColor="White" />
            <AlternatingRowStyle BackColor="#660066" ForeColor="White" />
        </asp:GridView>
    </div>
    </form>
</body>
</html>
